summaryrefslogtreecommitdiffstats
path: root/rescue/Flash/scripts/clear_systemloop
diff options
context:
space:
mode:
authorMageia SVN-Git Migration <svn-git-migration@mageia.org>2011-02-06 22:37:08 +0000
committerMageia SVN-Git Migration <svn-git-migration@mageia.org>2011-02-06 22:37:08 +0000
commitfd8bbba2f02b8bccd69e67c326fd320c0827941d (patch)
treeade69986b2f99e113c95009736399966d4a3d511 /rescue/Flash/scripts/clear_systemloop
parent368f416649ed34557702a946ec8c0cec2fd45294 (diff)
downloaddrakx-fd8bbba2f02b8bccd69e67c326fd320c0827941d.tar
drakx-fd8bbba2f02b8bccd69e67c326fd320c0827941d.tar.gz
drakx-fd8bbba2f02b8bccd69e67c326fd320c0827941d.tar.bz2
drakx-fd8bbba2f02b8bccd69e67c326fd320c0827941d.tar.xz
drakx-fd8bbba2f02b8bccd69e67c326fd320c0827941d.zip
Synthesized commit during git-svn import combining previous Mandriva history with Mageia.
This commit consitsts of the following subversion commits: ------------------------------------------------------------------------ r431 | dmorgan | 2011-02-06 01:58:02 +0000 (Sun, 06 Feb 2011) | 1 line Add drakx structure on the SVN ------------------------------------------------------------------------ r432 | dmorgan | 2011-02-06 01:59:38 +0000 (Sun, 06 Feb 2011) | 1 line Import cleaned advertising ------------------------------------------------------------------------ r446 | dmorgan | 2011-02-06 22:37:08 +0000 (Sun, 06 Feb 2011) | 1 line Import Clean perl-install ------------------------------------------------------------------------ r448 | dmorgan | 2011-02-06 23:02:36 +0000 (Sun, 06 Feb 2011) | 1 line Add cleaned files ------------------------------------------------------------------------ r449 | dmorgan | 2011-02-06 23:03:52 +0000 (Sun, 06 Feb 2011) | 1 line Import cleaned kernel ------------------------------------------------------------------------ r450 | dmorgan | 2011-02-06 23:23:30 +0000 (Sun, 06 Feb 2011) | 1 line Import cleaned tools ------------------------------------------------------------------------ r451 | dmorgan | 2011-02-07 00:01:56 +0000 (Mon, 07 Feb 2011) | 1 line Import stage1 ------------------------------------------------------------------------ r473 | dmorgan | 2011-02-07 11:20:50 +0000 (Mon, 07 Feb 2011) | 1 line Import images ------------------------------------------------------------------------ r497 | ennael | 2011-02-09 21:02:06 +0000 (Wed, 09 Feb 2011) | 2 lines readd missing file ------------------------------------------------------------------------ r502 | pterjan | 2011-02-09 23:30:32 +0000 (Wed, 09 Feb 2011) | 1 line Import rescue ------------------------------------------------------------------------ r603 | ennael | 2011-02-24 13:32:54 +0000 (Thu, 24 Feb 2011) | 2 lines import cleaned rescue for Mageia ------------------------------------------------------------------------ r2061 | tv | 2011-10-20 20:32:19 +0100 (Thu, 20 Oct 2011) | 1 line import (cleaned) doc ------------------------------------------------------------------------
Diffstat (limited to 'rescue/Flash/scripts/clear_systemloop')
-rwxr-xr-xrescue/Flash/scripts/clear_systemloop89
1 files changed, 0 insertions, 89 deletions
diff --git a/rescue/Flash/scripts/clear_systemloop b/rescue/Flash/scripts/clear_systemloop
deleted file mode 100755
index 4152b16bf..000000000
--- a/rescue/Flash/scripts/clear_systemloop
+++ /dev/null
@@ -1,89 +0,0 @@
-#!/bin/bash
-
-# import functions library
-source rescue_common
-
-tmpdir="/tmp/flash-rescue-root"
-rootdir="$tmpdir/pen"
-
-function prepare() {
-
- mkdir -p $rootdir
-
- if ! mount_usbroot $rootdir; then
- return 1
- fi
-
- return 0
-}
-
-function doit() {
-
- clear
- echo
- echo "WARNING!"
- echo
- echo "Mandriva Flash will be reset to factory defaults!"
- echo -n "All user files, customizations and new packages installed "
- echo "will be removed."
- echo
- echo "This process may take a few minutes."
- echo
- echo -n "Do you want to continue? [N/y] "
- read confirm
-
- if [ x"$confirm" = x"y" -o x"$confirm" = x"Y" ]; then
-
- if [ ! -f $loop ] || [ x"$version" != x"1.0" ]; then
- dd if=/dev/zero of=$loop bs=1000000 count=1000
- fi
-
- if [ x"$version" = x"1.0" ]; then
- /sbin/mkfs.ext2 -q -F $loop
- fi
-
- echo
- if [ $? -ne 0 ]; then
- echo 'Error resetting device to factory defaults'
- return 1
- else
- echo 'Mandriva Flash was restored to factory defaults!'
- fi
- fi
-
- echo
-
- return 0
-}
-
-function cleanup() {
-
- umount $rootdir > /dev/null 2>&1
- rmdir $rootdir $tmpdir 2> /dev/null
-}
-
-clear
-trap cleanup SIGINT
-
-version=""
-if ! insert_pendrive; then
- exit 1
-fi
-
-if [ x"$version" = x"1.0" ]; then
- loop="$rootdir/loopbacks/system.loop"
-else
- loop="$rootdir/.loopbacks/system.loop"
-fi
-
-if ! prepare; then
- cleanup
- exit 1
-fi
-
-if ! doit; then
- cleanup
- exit 1
-fi
-
-cleanup